Skip to Content
veriom

Get intent import

GET
/v1/workspaces/{workspace_id}/architecture-intent/imports/{import_id}

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
import_id*Import Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
actor_id*Actor Id
Formatuuid
actor_name*Actor Name
capture*
changes*array<>
created_at*Created At
Formatdate-time
external_revision*External Revision
id*Id
Formatuuid
previous_import_id*|null
proposed_content_sha256*Proposed Content Sha256
source_content_sha256*Source Content Sha256
source_id*Source Id
Formatuuid
source_revision*Source Revision
version_id*Version Id
Formatuuid
warnings*array<string>
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/imports/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "actor_id": "04f37679-bfbf-4906-b749-01756515cecf",  "actor_name": "string",  "capture": {    "access_policy": "workspace_reviewers",    "author": "string",    "branch_ref": "string",    "captured_at": "2019-08-24T14:15:22Z",    "commit_sha": "string",    "content": "string",    "content_sha256": "string",    "format": "calm",    "kind": "string",    "pull_number": 0,    "redacted": true,    "repository_path": "string",    "retained_content_sha256": "string",    "revision": "string",    "source_updated_at": "2019-08-24T14:15:22Z",    "transport": "upload",    "uri": "string",    "verification": "provider_verified"  },  "changes": [    {      "action": "added",      "collection": "elements",      "fields": [        "string"      ],      "key": "string",      "summary": "string"    }  ],  "created_at": "2019-08-24T14:15:22Z",  "external_revision": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "previous_import_id": "fbc3bb5c-2971-4b8a-9792-5da9a63f9f96",  "proposed_content_sha256": "string",  "source_content_sha256": "string",  "source_id": "ae50a35c-df42-4eff-ba26-f8bc28d2af81",  "source_revision": 0,  "version_id": "9e94c502-ca41-4342-a7f7-af96b444512c",  "warnings": [    "string"  ]}